Data Sources
Create Data Source
Authorization
apiKeyAuth x-api-key<token>
FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
In: header
Path Parameters
idOrSlug*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v0/project/string/data-sources" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "referenceId": "string", "dataType": "number", "metricShape": "scalar" }'{ "id": "string", "projectId": "string", "name": "string", "description": "string", "referenceId": "string", "dataType": "number", "regex": "string", "allowNegative": true, "allowFloat": true, "minValue": 0, "maxValue": 0, "isArray": true, "metricShape": "scalar", "createdAt": "string", "updatedAt": "string"}name*string
referenceId*string
Match
^[a-z0-9_]+$Length
1 <= lengthdataType*string
Value in
- "number"
- "string"
- "boolean"
- "json"
description?string|null|null
regex?string|null|null
allowNegative?boolean|null|null
allowFloat?boolean|null|null
minValue?number||null|null
maxValue?number||null|null
isArray?boolean|null
metricShape*string
Value in
- "scalar"
- "array"
- "map"